### Hierarchy

- IFunctions

### Implemented by

- Functions

## Index

### Properties

- cell
- content
- vars

### Methods

- getCellFormatting
- getCellReference
- getCellUpdate
- getTable
- isButtonWithinTaskRange
- isTaskValid
- parse
- setCellFormatting
- setCellReference
- toUppercaseFunctions
- updateCell
- updateContentDelta
- updateVars

## Properties

### cell

cell: IPageContentCell

- Defined in Functions.ts:84

### content

content: IPageContent

- Defined in Functions.ts:85

### vars

vars: IFunctionsUser

- Defined in Functions.ts:86

## Methods

### getCellFormatting

- getCellFormatting(styles: IActionsStyle[], buttons?: IActionsButton[], contentDiff?: IPageContent): IActionsStyle[]

- - Defined in Functions.ts:96

  #### Parameters

  - ##### styles: IActionsStyle[]

  - ##### Optional buttons: IActionsButton[]

  - ##### Optional contentDiff: IPageContent

  #### Returns IActionsStyle[]

### getCellReference

- getCellReference(str: string): IPageContentCell

- - Defined in Functions.ts:90

  #### Parameters

  - ##### str: string

  #### Returns IPageContentCell

### getCellUpdate

- getCellUpdate(action: IActionsTaskActionSetAction): IFunctionsCellUpdate | null

- - Defined in Functions.ts:94

  #### Parameters

  - ##### action: IActionsTaskActionSetAction

  #### Returns IFunctionsCellUpdate | null

### getTable

- getTable(config: IFunctionsTable): string

- - Defined in Functions.ts:99

  #### Parameters

  - ##### config: IFunctionsTable

  #### Returns string

### isButtonWithinTaskRange

- isButtonWithinTaskRange(buttonCell: IGridCell, taskGroup: IActionsTask): boolean

- - Defined in Functions.ts:92

  #### Parameters

  - ##### buttonCell: IGridCell

  - ##### taskGroup: IActionsTask

  #### Returns boolean

### isTaskValid

- isTaskValid(task: IActionsTaskActionSet): boolean

- - Defined in Functions.ts:93

  #### Parameters

  - ##### task: IActionsTaskActionSet

  #### Returns boolean

### parse

- parse(str: string): string

- - Defined in Functions.ts:89

  #### Parameters

  - ##### str: string

  #### Returns string

### setCellFormatting

- setCellFormatting(styles: IActionsStyle[], buttons?: IActionsButton[], contentDiff?: IPageContent): IActionsStyle[]

- - Defined in Functions.ts:97

  #### Parameters

  - ##### styles: IActionsStyle[]

  - ##### Optional buttons: IActionsButton[]

  - ##### Optional contentDiff: IPageContent

  #### Returns IActionsStyle[]

### setCellReference

- setCellReference(cell: IPageContentCell): void

- - Defined in Functions.ts:91

  #### Parameters

  - ##### cell: IPageContentCell

  #### Returns void

### toUppercaseFunctions

- toUppercaseFunctions(expression: string): string

- - Defined in Functions.ts:98

  #### Parameters

  - ##### expression: string

  #### Returns string

### updateCell

- updateCell(action: IActionsTaskActionSetAction): IFunctionsCellUpdate | null

- - Defined in Functions.ts:95

  #### Parameters

  - ##### action: IActionsTaskActionSetAction

  #### Returns IFunctionsCellUpdate | null

### updateContentDelta

- updateContentDelta(content: IPageContent): void

- - Defined in Functions.ts:88

  #### Parameters

  - ##### content: IPageContent

  #### Returns void

### updateVars

- updateVars(vars: IFunctionsUser): void

- - Defined in Functions.ts:87

  #### Parameters

  - ##### vars: IFunctionsUser

  #### Returns void

Generated using TypeDoc